 <%--***********Essential JSP settings. to be used through out the page ***********--%>
<c:set var="bookingComponent" value="${bookingInfo.bookingComponent}" scope="request" />
<%--<c:set target="${bookingInfo}" property="cardChargePercent" value="${null}" />--%>
<c:set var="visiturl" value="yes" scope="session" />
<c:set var="appPath" value="hugo" scope="request"/>
 <c:set var="clientUrl" value='${bookingComponent.clientDomainURL}' scope="request"/>
 <c:set var="currency" value="&euro;" scope="request"/>
<script type="text/javascript">
 var clientApp = "<c:out value='${bookingComponent.clientApplication.clientApplicationName} '/>";
 var clientDomainURL = "<c:out value='${clientUrl}'/>";
 var isPromotionalcodeApplied = "<c:out value="${bookingComponent.nonPaymentData['isPromoCodeApplied']}"/>";
 var themePath = '';
 var promoCodeValidated = false;
 var tomcatInstance= "&tomcat=<c:out value='${param.tomcat}' />" ;
 var token = "<c:out value='${param.token}' />" ;
 var isNewHoliday = '<c:out value="${bookingInfo.newHoliday}"/>';
 var errorFields = "<c:out value="${bookingInfo.errorFields}"/>";
 var paymenttypeoptions = new Array();
 var preLdDepositOptions="<c:out value='${lowDepositFeatureAvailable}' />";

 setSummaryPanelCollapsable( <%=com.tui.uk.config.ConfReader.getConfEntry(clientApp+".hasCollapsableSummaryPanel", "false")%> );
<%-- Terms and Conditions url--%>
<c:catch>
<c:set var="tAndCDomain"  value="${bookingComponent.termsAndCondition.domain.clientApplicationName}" scope="page"/>
<c:set var="relativeTAndCUrl" value="${bookingComponent.termsAndCondition.relativeTAndCUrl}" />
</c:catch>
<%
String tAndCDomainKey = (String)pageContext.getAttribute("tAndCDomain");
String tAndCDomainValue = com.tui.uk.config.ConfReader.getConfEntry(tAndCDomainKey+".TAndCUrl", "");
pageContext.setAttribute("tAndCDomainValue", tAndCDomainValue);
String crmOptIn = com.tui.uk.config.ConfReader.getConfEntry(clientApp+".crmOptIn", "");
pageContext.setAttribute("crmOptIn", crmOptIn, pageContext.REQUEST_SCOPE);
 %>

 var tandCurl = "<c:out value='${tAndCDomainValue}'  escapeXml='false'/>"+"<c:out value='${relativeTAndCUrl}' escapeXml='false'/>";
 var configurableCardCharge = "<c:out value='${bookingInfo.cardChargeDetails}' />";

<%-- End of Terms and Conditions url--%>
///Define a javascript object for using thru out the page
 var newHoliday  = "<c:out value='${bookingInfo.newHoliday}'/>";
 var PaymentInfo = {};

PaymentInfo.totalAmount ="<c:out value='${bookingComponent.totalAmount.amount}'/>";
PaymentInfo.payableAmount = "<c:out value='${bookingComponent.payableAmount.amount}'/>";

PaymentInfo.calculatedPayableAmount = "<c:out value='${bookingInfo.calculatedPayableAmount.amount}'/>";
PaymentInfo.calculatedTotalAmount = "<c:out value='${bookingInfo.calculatedTotalAmount.amount}'/>";

//PaymentInfo.maxCardChargeAmount = "<c:out value='${bookingComponent.maxCardCharge}'/>";

PaymentInfo.calculatedDiscount = "<c:out value='${bookingInfo.calculatedDiscount.amount}'/>";

//Let us give default values
if(trimSpaces(PaymentInfo.calculatedDiscount)=="")
{
  PaymentInfo.calculatedDiscount = 0.0;
}

PaymentInfo.chargePercent = 0.0;
PaymentInfo.selectedCardType = 'PleaseSelect';

var depositAmountsMap = new Map();
     <c:forEach var="depositComponent" items="${bookingComponent.depositComponents}">
       depositAmountsMap.put('<c:out value="${depositComponent.depositType}"/>', trimSpaces('<c:out value="${depositComponent.depositAmount.amount}"/>'));
     </c:forEach>
     depositAmountsMap.put('fullCost', 1*PaymentInfo.totalAmount  - 1*PaymentInfo.calculatedDiscount);

var cardChargeMap = new Map();
     cardChargeMap.put('PleaseSelect', configurableCardCharge);
       <c:forEach var="cardCharges" items="${bookingInfo.cardChargeMap}">
         cardChargeMap.put('<c:out value="${cardCharges.key}"/>', '<c:out value="${cardCharges.value}"/>');
       </c:forEach>

var issueNumberDetailsMap = new Map();
     <c:forEach var="paymentType" items="${bookingComponent.paymentType['CNP']}">
       issueNumberDetailsMap.put('<c:out value="${paymentType.paymentCode}"/>', '<c:out value="${paymentType.cardType.isIssueNumberRequired}"/>');
     </c:forEach>

var threeDCards = new Map();
        <c:forEach var="threeDCards" items="${bookingInfo.payDescription}">
            threeDCards.put("<c:out value="${threeDCards.key}"/>","<c:out value="${threeDCards.value}"/>");
        </c:forEach>

 //Payment constants used thru out the page
var payableConstants  =
                  {
                         FULL_COST                                     : "fullCost",
                      CARD_TYPE_ID                                : "payment_type_0",

                        calculatePayableAmountClassName   :	 "calPayableAmount",
                        PAYABLE_AMT_CLASS                    : "calPayableAmount",
                        TOTAL_AMOUNT_CLASS                  :"totalAmountClass",

                        DEFAULT_SECURITY_CODE_LEN    : 4,
                        DEFAULT_CARD_SELECTION          : ""
                  };
var bookingConstants = {PAY_CLASS:"pay",
        PAY_DESCRIPTION:"Pay"};

var addressConstants =
    {
        ADDRESSLINE1 : '<c:out value="${bookingComponent.nonPaymentData['street_address1']}"/>',
        ADDRESSLINE2 : '<c:out value="${bookingComponent.nonPaymentData['street_address2']}"/>',
        CITY : '<c:out value="${bookingComponent.nonPaymentData['street_address3']}"/>',
        COUNTY : '<c:out value="${bookingComponent.nonPaymentData['street_address4']}"/>',
        COUNTRY : '<c:out value="${bookingComponent.nonPaymentData['selectedCountry']}"/>',
        COUNTRY_CODE : '<c:out value="${bookingComponent.nonPaymentData['selectedCountryCode']}"/>',
        POST_CODE : '<c:out value="${bookingComponent.nonPaymentData['cardBillingPostcode']}"/>'
    };
</script>


  <input type='hidden' id='currencyText'  value='<c:out value="${currency}" escapeXml="false"/>'/>

    <%--*********Essential JSP settings. to be used through out the page **************--%>
